Skip to main content
GET
/
v1
/
entities
/
{entityTypeName}
/
{entityId}
/
secure
/
{propertyName}
Get a Secure Value
curl --request GET \
  --url https://api.us.lexful.app/v1/entities/{entityTypeName}/{entityId}/secure/{propertyName} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-ID: <api-key>'
{
  "type": "secret",
  "value": "<string>",
  "code": "<string>",
  "expires": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

entityTypeName
string
required

Entity type name

entityId
string<uuid>
required

Entity ID

propertyName
string
required

Secure property name

Response

Default Response

type
enum<string>
required

Type of secure property

Available options:
secret,
totp
value
string
required

Decrypted property value

code
string

Generated TOTP code (only for TOTP properties)

expires
string<date-time>

TOTP code expiration time (only for TOTP properties)